Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479733 - /var/satellite/rhn/kickstart and Cobbler CLI are not in sync
Summary: /var/satellite/rhn/kickstart and Cobbler CLI are not in sync
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04 swcobbler
TreeView+ depends on / blocked
 
Reported: 2009-01-12 19:13 UTC by Jay Dobies
Modified: 2012-03-06 08:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:36 UTC


Attachments (Terms of Use)

Description Jay Dobies 2009-01-12 19:13:50 UTC
Description of problem:
See testopia test case 3895: https://testopia.devel.redhat.com/bugzilla/tr_show_case.cgi?case_id=3895

The output of `ls /var/satellite/rhn/kickstart` and `cobbler distro list` do not match when run on rlx-0-04.rhndev.redhat.com.

Version-Release number of selected component (if applicable):
Spacewalk 0.4 build on rlx-0-04.rhndev.redhat.com as of 2pm EST on Jan 12th (not sure where the build came from).

How reproducible:
Always

Steps to Reproduce:
1. Compare the above two commands
  
Actual results:
Both commands produce certain values that are not present in the other; it's not that one is a subset of the other.

Expected results:
They should produce the same output.

Additional info:

Comment 1 Mike McCune 2009-01-13 18:27:58 UTC
I want to re-test this on a a *clean* 0.4 box.

Comment 2 Mike McCune 2009-01-15 00:37:06 UTC
testplan isn't accurate: 

Sugguest:

sqlplus spacewalk/spacewalk@xe

> select label from rhnKickstartableTree

verify the list of labels all exist as cobbler distros


Note You need to log in before you can comment on or make changes to this bug.